MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GeoTIFFImageWriter Class Reference

writes an image stage to a GeoTIFF file More...

`#include <GeoTIFFImageWriter.h>`

Inheritance diagram for GeoTIFFImageWriter:
[legend]
Collaboration diagram for GeoTIFFImageWriter:
[legend]

## Public Member Functions
| GeoTIFFImageWriter (void)
Public Member Functions inherited from TIFFImageWriter
| TIFFImageWriter (bool writeGeoTIFF=false)
| constructor More...
virtual | ~TIFFImageWriter ()
LT_STATUS | initialize (LTIImageStage *image)
void | setWriteResolution (bool enable)
| Output resolution information. More...
void | setAllowWritingBigTIFF (bool allowBigTIFF)
| Write a BigTIFF if the the scene may produce a file greater than 4GB. More...
void | setForceWritingBigTIFF (bool forceBigTIFF)
| Write a BigTIFF. More...
LT_STATUS | writeBegin (const LTIScene &scene)
| begin an encode (write) operation More...
LT_STATUS | writeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| encode one strip of the scene More...
LT_STATUS | writeEnd ()
| complete an encode (write) operation More...
void | setEndian (LTIEndian value)
Public Member Functions inherited from LTIGeoFileImageWriter
virtual | ~LTIGeoFileImageWriter ()
virtual LT_STATUS | deleteOutput (void)
| clean up a failed encode (write) operation More...
virtual LT_STATUS | setOutputFileSpec (const LTFileSpec &fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputFileSpec (const char *fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputStream (LTIOStreamInf *stream)
| set output file stream More...
virtual void | setWriteWorldFile (bool enabled)
| enable writing of world file More...
Public Member Functions inherited from LTIImageWriter
virtual | ~LTIImageWriter ()
virtual LT_STATUS | write (const LTIScene &scene)
| write (encode) a scene to the output format More...
LT_STATUS | setStripHeight (lt_uint32 stripHeight)
| set the stripheight for the encode More...
lt_uint32 | getStripHeight (void) const
| get the stripheight for the encode More...
virtual lt_uint32 | getDefaultStripHeight (void) const
| get the preferred stripheight for the encode More...
virtual lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode the scene More...
void | setProgressDelegate (LTIProgressDelegate *delegate)
| set progress delegate More...
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
| set interrupt delegate More...
const LTIImageStage * | getSourceImageStage (void) const
| get the source image stage More...
LTIProgressDelegate * | getProgressDelegate (void) const
| get progress delegate More...
LTIInterruptDelegate * | getInterruptDelegate (void) const
| get interrupt delegate More...
virtual LT_STATUS | setEncodingApplication (const char *name, const char *version, const char *comment=NULL)
| set name and version of the creating application More...

## Additional Inherited Members
Protected Member Functions inherited from LTIGeoFileImageWriter
| LTIGeoFileImageWriter (bool supportsStreams)
| constructor More...
LTIOStreamInf * | getStream () const
| get underlying stream More...
LTFileSpec * | getFileSpec () const
| get target filename More...
Protected Attributes inherited from LTIImageWriter
LTIImageStage * | m_image

## Detailed Description

This class writes an image stage to a GeoTIFF file.

Definition at line 30 of file GeoTIFFImageWriter.h.

## Constructor & Destructor Documentation

GeoTIFFImageWriter::GeoTIFFImageWriter | ( | void | ) |  |

The documentation for this class was generated from the following file:

- GeoTIFFImageWriter.h

LizardTech